Bug 1482905 - Unable to add Long Description for Playbook based Catalog Items
Summary: Unable to add Long Description for Playbook based Catalog Items
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Richard Vsiansky
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 11:19 UTC by Krain Arnold
Modified: 2019-02-07 23:02 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:48 UTC

Description Krain Arnold 2017-08-18 11:19:04 UTC
Description of problem:
Unable to add Long Description for Playbook based Catalog Items 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. look at the service catalog, there's a line that says "long description"
2. go to the catalog item and try to edit it
3.

Actual results:
salty tears

Expected results:
a way to edit it.

Additional info:
This happened with orchestration based catalog items not too long ago, the fix is probably similar.

Comment 2 Dave Johnson 2017-08-24 23:10:56 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Comment 3 Kim Borup 2018-05-09 11:36:33 UTC
We have the same problem at customer, it would be nice to be able to set the long description for ansible jobs, instead of only being able to do it for all other kinds of jobs.

I can see this is from august 2018, can we get some kind of traction on it ?

Comment 6 CFME Bot 2018-08-06 08:42:34 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/460e6d8fc16905f3d743047991de4fde321d6721
commit 460e6d8fc16905f3d743047991de4fde321d6721
Author:     Richard Vsiansky <r.vsia@seznam.cz>
AuthorDate: Thu Aug  2 07:18:56 2018 -0400
Commit:     Richard Vsiansky <r.vsia@seznam.cz>
CommitDate: Thu Aug  2 07:18:56 2018 -0400

    Add long_description field using codemirror editor in Ansible Playbook

    fixes https://bugzilla.redhat.com/show_bug.cgi?id=1482905

 app/views/catalog/_st_angular_form.html.haml | 113 +-
 1 file changed, 62 insertions(+), 51 deletions(-)

Comment 7 Shveta 2018-12-03 19:58:42 UTC
Verification blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1655745

Comment 8 Niyaz Akhtar Ansari 2019-01-24 07:13:19 UTC
Verified in Version 5.10.0.32.20190115185124_c957ada

Comment 9 errata-xmlrpc 2019-02-07 23:02:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.